%define upstream_name    XML-FeedPP
%define upstream_version 0.43

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Parse/write/merge/edit RSS/RDF/Atom syndication feeds
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(XML::TreePP) >= 0.390.0
BuildArch:  noarch

%description
'XML::FeedPP' is an all-purpose syndication utility that parses and
publishes RSS 2.0, RSS 1.0 (RDF), Atom 0.3 and 1.0 feeds. It allows you to
add new content, merge feeds, and convert among these various formats. It
is a pure Perl implementation and does not require any other module except
for XML::TreePP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.430.0-7.mga6
+ Revision: 1036000
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.430.0-6.mga6
+ Revision: 929739
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.430.0-5.mga5
+ Revision: 745100
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.430.0-4.mga5
+ Revision: 686921
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.430.0-3.mga4
+ Revision: 516052
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.430.0-2.mga3
+ Revision: 375024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.430.0-1.mga2
+ Revision: 107585
- update to 0.43

* Fri Jan 21 2011 jquelin <jquelin> 0.420.0-1.mga1
+ Revision: 29234
- mageia rebuild
- imported package perl-XML-FeedPP


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2011.0
+ Revision: 596705
- update to 0.42

* Mon Jul 26 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.410.0-3mdv2011.0
+ Revision: 560579
- perl rebuild

* Fri Mar 12 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.410.0-2mdv2011.0
+ Revision: 518568
- Bump release

* Sun Feb 28 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 0.410.0-1mdv2010.1
+ Revision: 512541
- Import
- import perl-XML-FeedPP


* Sat Feb 27 2010 cpan2dist 0.41-1mdv
- initial mdv release, generated with cpan2dist
